#
# Conditional build:
%bcond_with	tests	# unit tests
#
%define		pdir	Log
%define		pnam	Dispatch
Summary:	Log::Dispatch Perl module - dispatches messages to multiple Log::Dispatch::* objects
Summary(pl.UTF-8):	Moduł Perla Log::Dispatch - wysyłanie komunikatów do wielu obiektów Log::Dispatch::*
Name:		perl-Log-Dispatch
Version:	2.70
Release:	1%{?tld}
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Log/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3369ffd45dc098ef6c74622ceee7ad74
URL:		https://metacpan.org/dist/Log-Dispatch
BuildRequires:	perl-Dist-CheckConflicts >= 0.02
BuildRequires:	perl-Params-Validate >= 1.03
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Devel-GlobalDestruction
BuildRequires:	perl-Sys-Syslog >= 0.28
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Needs
BuildRequires:	perl-Test-Requires
BuildRequires:	perl-Test-Simple >= 0.96
BuildRequires:	perl-Specio >= 0.32
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional
%define		_noautoreq_perl	MIME::Lite Mail::Send Mail::Sender Mail::Sendmail

%description
Log::Dispatch is a suite of OO modules for logging messages to
multiple outputs, each of which can have a minimum and maximum log
level. It is designed to be easily subclassed, both for creating a new
dispatcher object and particularly for creating new outputs.

%description -l pl.UTF-8
Log::Dispatch to zestaw obiektowo zorientowanych modułów do logowania
komunikatów na wiele wyjść, z których każde może mieć podany minimalny
i maksymalny poziom logowania. Pakiet ten został zaprojektowany tak,
by łatwo można było stworzyć klasy potomne, w celu tworzenia nowych
obiektów dyspozytorów, jak i (w szczególności) nowych wyjść.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorlib}/Log/Dispatch.pm
%{perl_vendorlib}/Log/Dispatch
%{_mandir}/man3/Log::Dispatch*.3pm*
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Log-Dispatch.git;a=log;h=2c3fba9d6ca9952da71d952b4784b7edc9e02f98

* Tue Oct 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 2c3fba9
- updated URL and macros

* Mon Sep 12 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> e6b0f44
- Up to 2.70

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 9600144
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> ecde4fc
- up to 2.69

* Thu Feb 21 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c10547
- up to 2.68

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a66b4b
- up to 2.67

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e203ea
- up to 2.66

* Sun Sep 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 4e2adec
- macros for _noautoreq_perl

* Sun Sep 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 90d22ef
- updated to 2.50

* Thu Sep 10 2015 Marcin Krol <hawk@tld-linux.org> 721b98b
- few BRs required by tests

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f5fb490
- up to 2.44

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 939b54f
- up to 2.41

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 0204c52
- up to 2.29

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> 8b2bf00
- updated to 2.26

* Mon Sep 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a4350c
- up to 2.24

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f072af5
- up to 2.22

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5af4226
- up to 2.21

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 3d6d4cd
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> c9b9d85
- up to 2.20

* Tue Sep 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ccaa44
- up to 2.18

